---
apiVersion: v1

# The repository name in registry1, excluding /ironbank/
name: "microfocus/fortify/sca"

# List of tags to push for the repository in registry1
# The most specific version should be the first tag and will be shown
# on ironbank.dsop.io
tags:
- "22.1.0.0151"
- "22.1.0"
- "latest"

# Build args passed to Dockerfile ARGs
args:
  BASE_IMAGE: "redhat/ubi/ubi8-minimal"
  BASE_TAG: "8.5"

# Docker image labels
labels:
  ## Human-readable title of the image
  org.opencontainers.image.title: "Fortify SCA"
  ## Human-readable description of the software packaged in the image
  org.opencontainers.image.description: "Fortify Static Code Analyzer CLI image"
  ## License(s) under which contained software is distributed
  org.opencontainers.image.licenses: "Micro Focus EULA"
  ## URL to find more information on the image
  org.opencontainers.image.url: "https://www.microfocus.com/documentation/fortify-static-code/"
  ## Name of the distributing entity, organization or individual
  org.opencontainers.image.vendor: "Micro Focus / Fortify"
  ## Version of the packaged software
  org.opencontainers.image.version: "22.1.0.0151"
  ## Keywords to help with search (ex. "cicd,gitops,golang")
  #mil.dso.ironbank.image.keywords: ""
  ## This value can be "opensource" or "commercial"
  mil.dso.ironbank.image.type: "commercial"
  ## Product the image belongs to for grouping multiple images
  mil.dso.ironbank.product.name: "Fortify SCA"

# List of resources to make available to the offline build context
resources:
- url: "https://support.fortify.com/artifacts/sca/Fortify_SCA_22.1.0.0151.tar.gz"
  filename: "Fortify_SCA_22.1.0.0151.tar.gz"
  validation:
    type: "sha256"
    value: "c89268402cb9b648886b716bab406f808ff1491f9f313392c1e0adae96704dcc"
  auth:
    type: "basic"
    id: "fortify-support-artifacts"

# List of project maintainers
maintainers:
  # The name of the current container owner
- name: "Michael Brown"
  username: "mbrown271"
  email: "michael.e.brown@microfocus.com"
- name: "Joshua Eason"
  username: "jeason"
  email: "josheason@seed-innovations.com"
  cht_member: true
